#include "pch.h"
#include "GenericBkMFC.h"
#include "DlgLifeCakeButtonST.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CDlgLifeCakeButtonST::CDlgLifeCakeButtonST(CWnd* pParent, CResourceServerST*	m_pIcons)
	: CDialog(CDlgLifeCakeButtonST::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgLifeCakeButtonST)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	m_pIconsDLL = m_pIcons;
}

void CDlgLifeCakeButtonST::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgLifeCakeButtonST)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP

	DDX_Control(pDX, IDC_BUTTON1, m_btnKeyboard[0]);
	DDX_Control(pDX, IDC_BUTTON2, m_btnKeyboard[1]);
	DDX_Control(pDX, IDC_BUTTON3, m_btnKeyboard[2]);
}

BEGIN_MESSAGE_MAP(CDlgLifeCakeButtonST, CDialog)
	//{{AFX_MSG_MAP(CDlgLifeCakeButtonST)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BOOL CDlgLifeCakeButtonST::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// Create font
	m_fntFont.CreateFont(-14, 0, 0, 0, FW_BOLD, FALSE, FALSE, 0, 0, 0, 0, ANTIALIASED_QUALITY, 0, _T("Verdana"));

	m_btnKeyboard[0].m_ptImageOrg.x = 10;
	m_btnKeyboard[0].SetIcon(m_pIconsDLL->LoadIcon(DLL_IDI_SET04_OK, 24, 24));
	m_btnKeyboard[0].SetBackgroundColor(RGB(93, 162, 28), FALSE);
	m_btnKeyboard[0].SetTextColor(RGB(255, 255, 255), FALSE);
	m_btnKeyboard[0].SetFont(&m_fntFont, FALSE);
	//
	m_btnKeyboard[1].m_ptImageOrg.x = 10;
	m_btnKeyboard[1].SetIcon(m_pIconsDLL->LoadIcon(DLL_IDI_SET04_CANCEL, 24, 24));
	m_btnKeyboard[1].SetBackgroundColor(RGB(246, 83, 83), FALSE);
	m_btnKeyboard[1].SetTextColor(RGB(255, 255, 255), FALSE);
	m_btnKeyboard[1].SetFont(&m_fntFont, FALSE);
	//
	m_btnKeyboard[2].m_ptImageOrg.x = 10;
	m_btnKeyboard[2].SetIcon(m_pIconsDLL->LoadIcon(DLL_IDI_SET04_INFO, 24, 24));
	m_btnKeyboard[2].SetBackgroundColor(RGB(232, 227, 90), FALSE);
	m_btnKeyboard[2].SetTextColor(RGB(255, 255, 255), FALSE);
	m_btnKeyboard[2].SetFont(&m_fntFont, FALSE);

	return TRUE;
} // End of OnInitDialog

void CDlgLifeCakeButtonST::OnOK()
{
} // End of OnOK

void CDlgLifeCakeButtonST::OnCancel()
{
} // End of OnCancel
